#include "pianopg.hpp"

PianoPage::PianoPage() : Page("A Piano Recorder")
{
	tape_controls = new HorizontalSelector(100, 250,
				  "Recorder Controls",
				  &recorder_mode,
				  0,
				  "Stop",
				  "Rewind",
				  "Forward",
				  "Play",
				  "Record");

	keyboard_one = new Keyboard(5, 25, &
				    keyboard_note);
	int x = 5 + KEYBOARD_WIDTH;
	keyboard_two = new Keyboard(x, 25,
				    &keyboard_note, 2);

	melody_recorder = new Melody(&recorder_mode,
				     &counter,
				     &keyboard_note);
	tape_counter = new TapeCounter(450, 250, &counter);
}

void PianoPage::Display()
{
	Page::Display();

	tape_controls->Display();
	keyboard_one->Display();
	keyboard_two->Display();
	tape_counter->Display();
}

PianoPage::~PianoPage()
{
	// destroy all objects on the screen
	delete tape_controls;
	delete keyboard_one;
	delete keyboard_two;
	delete melody_recorder;
	delete tape_counter;
}

void OpenPianoPage()
{
	// get next page ready
	PianoPage* new_page = new PianoPage();

	// create new page
	CurrentScreen->NewWorkArea(new_page);
	CurrentScreen->DisplayWorkArea();
}
